Last Comment Bug 748238 - HTMLMeterElement should not be form controls
: HTMLMeterElement should not be form controls
Status: RESOLVED FIXED
: dev-doc-needed
Product: Core
Classification: Components
Component: DOM: Core & HTML (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla16
Assigned To: Mounir Lamouri (:mounir)
:
Mentors:
Depends on: 762434 762435
Blocks: 555985 657941 762044
  Show dependency treegraph
 
Reported: 2012-04-23 22:37 PDT by Mounir Lamouri (:mounir)
Modified: 2012-06-08 13:58 PDT (History)
3 users (show)
mounir: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch (13.78 KB, patch)
2012-06-06 07:20 PDT, Mounir Lamouri (:mounir)
no flags Details | Diff | Splinter Review
Patch v2 (14.48 KB, patch)
2012-06-07 04:35 PDT, Mounir Lamouri (:mounir)
bzbarsky: review+
mounir: checkin+
Details | Diff | Splinter Review

Description Mounir Lamouri (:mounir) 2012-04-23 22:37:51 PDT
See http://www.w3.org/Bugs/Public/show_bug.cgi?id=12254
Comment 1 Kyle Huey [:khuey] (khuey@mozilla.com) 2012-04-23 22:39:10 PDT

*** This bug has been marked as a duplicate of bug 686913 ***
Comment 2 Mounir Lamouri (:mounir) 2012-04-23 22:40:39 PDT
Kyle, bug 686913 is about to be fixed and will take into account progress elements only so this is the meter part of it.
Comment 3 Mounir Lamouri (:mounir) 2012-06-06 07:20:10 PDT
Created attachment 630559 [details] [diff] [review]
Patch
Comment 4 Boris Zbarsky [:bz] 2012-06-06 13:24:18 PDT
Comment on attachment 630559 [details] [diff] [review]
Patch

Doesn't this make the meter non-labelable?  Is that desired?
Comment 5 Mounir Lamouri (:mounir) 2012-06-07 04:03:55 PDT
Oh... The specs tricked me. Before (and that's how our code behave) only form controls were able to be labeled but since <progress> and <meter> are not form controls, Hixie changed the specs to allow any element to be labeled... I was assuming that given those elements were no longer form controls they were not labelable.

Patches will come.
Comment 6 Mounir Lamouri (:mounir) 2012-06-07 04:35:27 PDT
Created attachment 630921 [details] [diff] [review]
Patch v2

That should fix it, using bug 762434.

BTW, I could have IsLabelable() defined in each element that is labelable with simply |return true;|. I just kept the nsIFormControl logic here so I did the same kind of thing for meter and progress. If you think having IsLabelable defined for each element would be better, I can do that.
Comment 7 Boris Zbarsky [:bz] 2012-06-07 11:20:02 PDT
Comment on attachment 630921 [details] [diff] [review]
Patch v2

r=me
Comment 8 Ed Morley [:emorley] 2012-06-08 13:58:46 PDT
https://hg.mozilla.org/mozilla-central/rev/525a0b959ef0

Note You need to log in before you can comment on or make changes to this bug.